Package org.apache.commons.imaging.formats.jpeg.segments

## Class DhtSegment

- java.lang.Object
- - org.apache.commons.imaging.common.BinaryFileParser
  - - org.apache.commons.imaging.formats.jpeg.segments.Segment
    - - org.apache.commons.imaging.formats.jpeg.segments.DhtSegment

-     public class DhtSegment
      extends Segment

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `DhtSegment.HuffmanTable` |

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `List<DhtSegment.HuffmanTable>` | `huffmanTables` |

    - ### Fields inherited from class org.apache.commons.imaging.formats.jpeg.segments.Segment

      `length, marker`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DhtSegment​(int marker, byte[] segmentData)` |
    `DhtSegment​(int marker, int length, InputStream is)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `getDescription()` |

    - ### Methods inherited from class org.apache.commons.imaging.formats.jpeg.segments.Segment

      `dump, getSegmentType, toString`

    - ### Methods inherited from class org.apache.commons.imaging.common.BinaryFileParser

      `debugNumber, debugNumber, getByteOrder, setByteOrder`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### huffmanTables

          public final List<DhtSegment.HuffmanTable> huffmanTables

  - ### Constructor Detail

    - #### DhtSegment

          public DhtSegment​(int marker,
                            byte[] segmentData)
                     throws IOException

      Throws:
        `IOException`

    - #### DhtSegment

          public DhtSegment​(int marker,
                            int length,
                            InputStream is)
                     throws IOException

      Throws:
        `IOException`

  - ### Method Detail

    - #### getDescription

          public String getDescription()

      Specified by:
        `getDescription` in class `Segment`